Update blocked identity
Update comment and name fields on a blocked identity. Requires a Write key.
POST
/identity-logs/blocked/{blockedId}Autorisierung
AutorisierungBearer-Token (API key) · headererforderlichOrganisations-API-Key.
Pfadparameter
blockedIdstringerforderlichRequest-Body
erforderlichapplication/jsoncommentstringerforderlichfirst_namestringerforderlichlast_namestringerforderlichAntworten
200Updated
successbooleanerforderlich400Bad request
errorValidationErrorerforderlichValidierungsdetails.
Eigenschaften anzeigenEigenschaften ausblenden
formErrorsstring[]erforderlichfieldErrorsobjecterforderlich403Unauthorized, or identity logs not enabled for this organization
statusCodeintegererforderlichHTTP-Statuscode
messagestringerforderlichLesbare Fehlermeldung
timestampstring<date-time>erforderlichpathstringerforderlichRequest-Pfad
404Not found
statusCodeintegererforderlichHTTP-Statuscode
messagestringerforderlichLesbare Fehlermeldung
timestampstring<date-time>erforderlichpathstringerforderlichRequest-Pfad
Anfrage
curl -X POST "https://dashboard.scango.ch/api/v1/identity-logs/blocked/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"comment": "string",
"first_name": "string",
"last_name": "string"
}'const response = await fetch("https://dashboard.scango.ch/api/v1/identity-logs/blocked/string", {
method: "POST",
headers: {
"Autorisierung": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"comment": "string",
"first_name": "string",
"last_name": "string"
})
});Antwort
{
"success": true
}{
"error": {
"formErrors": [
"string"
],
"fieldErrors": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}